package com.sag.osami.contextstore.storage.jdbc;
import com.sag.osami.contextstore.storage.jdbc.GenericJDBCDialect;

public class MysqlDialect extends GenericJDBCDialect {

	private static final String DRIVER = "com.mysql.jdbc.Driver";

	@Override
	public String driver() {
		return DRIVER;
	}

	private static final String[] COL_TYPES = { "BIGINT PRIMARY KEY", "VARCHAR(512)", "VARCHAR(512)", "VARCHAR(512)", "TEXT", "VARCHAR(512)", "TIMESTAMP" };

	public String createTable() {
		return createTable(COL_TYPES);
	}
}