/**
 * (c) Atos IT Solutions and Services GmbH, 2011.
 * Licensed under EUPL 1.1
 */
package com.sag.osami.contextstore.serialization;

/**
 * This interface provides access to an {@link ISerializedContextReceiver}, i.e. a ContextStore with methods for creating already serialized context events.
 */
public interface ISerializedContextProducer {

	void setContextStore(ISerializedContextReceiver contextStore);

}